# Class CIM_PreconfiguredSAAction
extends CIM_SAStaticAction

Subclasses of PreconfiguredSAAction are used to create SAs using preconfigured, hard-wired algorithms and keys. No negotiation is necessary. Note that this class is defined as concrete, since its superclass is also concrete. However, it should not be directly instantiated, but one of its subclasses used instead. Also note that: - The SPI for a preconfigured SA action is contained in the association, TransformOfPreconfiguredAction. - The session key (if applicable) is contained in an instance of SharedSecret. For an instance of the SharedSecret class: The session key is stored in the Secret property; the property protocol contains one of the values, "ESP-encrypt", "ESP-auth" or "AH"; and, the class' property algorithm contains the algorithm used to protect the secret. (The latter can be "PLAINTEXT" if the IPsec entity has no secret storage.) The value of the class' RemoteID property is the concatenation of the remote IPsec peer IP address in dotted decimal, of the character "/", of "IN" (or respectively "OUT") for inbound/outbound SAs, of the character "/" and of the hexadecimal representation of the SPI.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_SAAction
|
+--CIM_SAStaticAction
|
+--CIM_PreconfiguredSAAction

## Direct Known Subclasses

CIM_PreconfiguredTransportAction
CIM_PreconfiguredTunnelAction

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Subclasses of PreconfiguredSAAction are used to create SAs using preconfigured, hard-wired algorithms and keys. No negotiation is necessary. Note that this class is defined as concrete, since its superclass is also concrete. However, it should not be directly instantiated, but one of its subclasses used instead. Also note that: - The SPI for a preconfigured SA action is contained in the association, TransformOfPreconfiguredAction. - The session key (if applicable) is contained in an instance of SharedSecret. For an instance of the SharedSecret class: The session key is stored in the Secret property; the property protocol contains one of the values, "ESP-encrypt", "ESP-auth" or "AH"; and, the class' property algorithm contains the algorithm used to protect the secret. (The latter can be "PLAINTEXT" if the IPsec entity has no secret storage.) The value of the class' RemoteID property is the concatenation of the remote IPsec peer IP address in dotted decimal, of the character "/", of "IN" (or respectively "OUT") for inbound/outbound SAs, of the character "/" and of the hexadecimal representation of the SPI.

MappingStrings | string | IPSP Policy Model.IETF|PreconfiguredSAAction
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LifetimeKilobytes | uint64 |

Description

string

LifetimeKilobytes defines a traffic limit in kilobytes that can be consumed before the SA is deleted. A value of zero (the default) indicates that there is no lifetime associated with this action (i.e., infinite lifetime). A non-zero value is used to indicate that after this number of kilobytes has been consumed the SA must be deleted. Note that the actual lifetime of the preconfigured SA will be the lesser of the value of this LifetimeKilobytes property and the value of the MaxLifetimeKilobytes property of the associated SATransform. Also note that some SA negotiation protocols (such as IKE) can negotiate the lifetime as an arbitrary length field, it is assumed that a 64-bit integer will be sufficient.

MappingStrings | string | IPSP Policy Model.IETF|PreconfiguredSAAction.LifetimeKilobytes
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.LifetimeKilobytes
PUnit | string | byte * 10^3
Units | string | KiloBytes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
DoPacketLogging | boolean | CIM_SAAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
LifetimeSeconds | uint64 | CIM_SAStaticAction
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods